Products
1 min
GET
https://tnapi.ticketpay.de/exports/products
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
- event_idstringDescription
- product_typestringDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_products
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- typestringExample
- event_idintegerExample
- shop_idintegerExample
- name_destringExample
- name_enstringExample
- amountfloatExample
- amount_centsintegerExample
- pos_amountfloatExample
- pos_amount_centsintegerExample
- customer_feesintegerExampleDescription
- webmaster_feesintegerExampleDescription
- statusstringExample
- vat_percentagefloatExample
- non_refundableboolean
- pos_possiblebooleanExample
- sales_startstringExample
- sales_endstringExample
- valid_fromstringExample
- valid_untilstringExample
- stats_groupstringExample
- visibilitystringExample
- extra_articleboolean
- min_orderintegerExample
- max_orderintegerExample
- tagsstringExample
- article_grouphashExample
{ "id": "1237", "name_de": "Tickets", "name_en": "Tickets", "slug": "dt", "priority": 1 } - article_varianthashExample
{ "id": "171", "name_de": "Tagestickets", "name_en": "Day tickets", "priority": 2 } - shop_imagestring
- ph_imagestring
- hard_imagestring
- sponsor_imagestring
- created_isostringExample
- updated_isostringExample
- priorityintegerExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/products \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/products", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/products")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/products"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get products.
{
"total": 9,
"page": 1,
"size": 9,
"data": [
{
"id": 133876,
"type": "EventTicket",
"event_id": 110250,
"shop_id": 8528,
"name_de": "Tagesticket",
"name_en": "Day ticket",
"amount": 27.99,
"amount_cents": 2799,
"pos_amount": 29.99,
"pos_amount_cents": 2999,
"customer_fees": 199,
"webmaster_fees": 199,
"status": "active",
"vat_percentage": 0.19,
"non_refundable": false,
"pos_possible": true,
"sales_start": "2025-10-01T00:00:00+02:00",
"sales_end": "2025-10-31T00:00:00+02:00",
"valid_from": "2026-01-01T00:00:00+02:00",
"valid_until": "2026-01-01T20:00:00+02:00",
"stats_group": "dayvisa",
"visibility": "public",
"extra_article": false,
"min_order": 1,
"max_order": 10,
"tags": "day,entry",
"article_group": "{\"id\":\"1237\",\"name_de\":\"Tickets\",\"name_en\":\"Tickets\",\"slug\":\"dt\",\"priority\":1}",
"article_variant": "{\"id\":\"171\",\"name_de\":\"Tagestickets\",\"name_en\":\"Day tickets\",\"priority\":2}",
"shop_image": "",
"ph_image": "",
"hard_image": "",
"sponsor_image": "",
"created_iso": "2025-08-01T10:00:10+02:00",
"updated_iso": "2022-10-08T10:23:11+02:00",
"priority": 3
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}